book3e bootloader recommendation should point to grub-ieee1275

Bug #1318629 reported by Andy Whitcroft on 2014-05-12
26
This bug affects 3 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Andy Whitcroft
Trusty
Medium
Andy Whitcroft
Utopic
Medium
Andy Whitcroft

Bug Description

The original idea of a grub-kexec never happened. These platforms need at
least grub-ieee1275 to generate grub.cfg, so recommended that instead.

CVE References

Andy Whitcroft (apw) on 2014-05-12
Changed in linux (Ubuntu):
status: New → Confirmed
Changed in linux (Ubuntu Trusty):
status: New → Confirmed
status: Confirmed → Fix Committed
importance: Undecided → Medium
Changed in linux (Ubuntu Utopic):
importance: Undecided → Medium
Changed in linux (Ubuntu Trusty):
assignee: nobody → Andy Whitcroft (apw)
Changed in linux (Ubuntu Utopic):
assignee: nobody → Andy Whitcroft (apw)
status: Confirmed → Fix Committed
john.d@servergy.com (john-d-0) wrote :

Hi;

How and when will this be implemented ?

Will future 3.13.0-24-powerpc-e500mc installs configure grub.cfg ?

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.15.0-1.5

---------------
linux (3.15.0-1.5) utopic; urgency=low

  [ Tim Gardner ]

  * [Config] Add apm-mustang.dtb to kernel-image udeb
 -- Tim Gardner <email address hidden> Mon, 19 May 2014 14:47:42 -0700

Changed in linux (Ubuntu Utopic):
status: Fix Committed → Fix Released
Luis Henriques (henrix) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-trusty' to 'verification-done-trusty'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-trusty

Hi,
 This change needs applied to a ISO image for installation; Where can
I locate that image ?

Regards,
 John.

--

o Energy-efficiency is #1 reason data centers look to expand. --
Digital Realty Trust
o Green Data Centers spending to increase 300% worldwide by 2016. --
Pike Research
o Data Centers have become as vital to the functioning of society as
power stations. -- The Economist

On Thu, May 29, 2014 at 7:55 AM, Luis Henriques
<email address hidden> wrote:
> This bug is awaiting verification that the kernel in -proposed solves
> the problem. Please test the kernel and update this bug with the
> results. If the problem is solved, change the tag 'verification-needed-
> trusty' to 'verification-done-trusty'.
>
> If verification is not done by 5 working days from today, this fix will
> be dropped from the source code, and this bug will be closed.
>
> See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how
> to enable and use -proposed. Thank you!
>
>
> ** Tags added: verification-needed-trusty
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (1317925).
> https://bugs.launchpad.net/bugs/1318629
>
> Title:
> book3e bootloader recommendation should point to grub-ieee1275
>
> Status in “linux” package in Ubuntu:
> Fix Released
> Status in “linux” source package in Trusty:
> Fix Committed
> Status in “linux” source package in Utopic:
> Fix Released
>
> Bug description:
> The original idea of a grub-kexec never happened. These platforms need at
> least grub-ieee1275 to generate grub.cfg, so recommended that instead.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1318629/+subscriptions

john.d@servergy.com (john-d-0) wrote :

This fix needs applied to a ISO image ; Where can I find that image at ?

Tim Gardner (timg-tpi) on 2014-05-29
Changed in linux (Ubuntu Trusty):
milestone: none → ubuntu-14.04.1
john.d@servergy.com (john-d-0) wrote :

The ISO procedure for https://wiki.ubuntu.com/Testing/QATracker is based on Intel x86 using virtbox. It does not address ppc test cases.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.13.0-29.53

---------------
linux (3.13.0-29.53) trusty; urgency=low

  [ Upstream Kernel Changes ]

  * futex-prevent-requeue-pi-on-same-futex.patch futex: Forbid uaddr ==
    uaddr2 in futex_requeue(..., requeue_pi=1)
    - LP: #1326367
    - CVE-2014-3153
  * futex: Validate atomic acquisition in futex_lock_pi_atomic()
    - LP: #1326367
    - CVE-2014-3153
  * futex: Always cleanup owner tid in unlock_pi
    - LP: #1326367
    - CVE-2014-3153
  * futex: Make lookup_pi_state more robust
    - LP: #1326367
    - CVE-2014-3153
 -- Brad Figg <email address hidden> Wed, 04 Jun 2014 08:25:41 -0700

Changed in linux (Ubuntu Trusty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers